﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace ConditionalFprmating.Web.Models
{
    public class WorkItem
    {
        [Key]
        public int category { get; set; }
        public string Cat_exp { get; set; }
        [Key]
        public string SubitNo { get; set; }
        [Key]
        public int StageNo { get; set; }
        [Key]
        public string PI_No { get; set; }
        [Key]
        public int sm_kco { get; set; }
        public string supp_sname { get; set; }
        public string cust_sname { get; set; }
        public string spec { get; set; }
        public decimal size { get; set; }
        public decimal qty { get; set; }
        public string units { get; set; }
        public string ProcessName { get; set; }
        public int Status { get; set; }
        public string Status_exp { get; set; }
        [Key]
        public DateTime Due { get; set; }
        public DateTime? PlannedStart { get; set; }
        public DateTime? PlannedFinish { get; set; }
        public DateTime? ActualStart { get; set; }
        public DateTime? ActualFinish { get; set; }
        public string Owner { get; set; }
        public decimal Load { get; set; }
        public string Instructions { get; set; }
        public int iUnique { get; set; }
        public string Location { get; set; }
        public string StarterID { get; set; }
        public string FinishID { get; set; }
        public int ProgNo { get; set; }
        public int ProgSeqNo { get; set; }
        public string[] stat_list { get; set; }
    }
}